Skip to content
Start here

Delete zone snippet rules

client.Snippets.Rules.Delete(ctx, body) (*SinglePage[RuleDeleteResponse], error)
DELETE/zones/{zone_id}/snippets/snippet_rules

Deletes all snippet rules belonging to the zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Snippets Write
ParametersExpand Collapse
body RuleDeleteParams
ZoneID param.Field[string]

Use this field to specify the unique ID of the zone.

ReturnsExpand Collapse
type RuleDeleteResponse struct{…}

Define a snippet rule.

ID string

Specify the unique ID of the rule.

Expression string

Define the expression that determines which traffic matches the rule.

minLength1
LastUpdated Time

Specify the timestamp of when the rule was last modified.

formatdate-time
SnippetName string

Identify the snippet.

Description stringOptional

Provide an informative description of the rule.

Enabled boolOptional

Indicate whether to execute the rule.

Delete zone snippet rules

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/snippets"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Snippets.Rules.Delete(context.TODO(), snippets.RuleDeleteParams{
    ZoneID: cloudflare.F("9f1839b6152d298aca64c4e906b6d074"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": [
    {
      "id": "3a03d665bac047339bb530ecb439a90d",
      "expression": "ip.src eq 1.1.1.1",
      "last_updated": "2000-01-01T00:00:00Z",
      "snippet_name": "my_snippet",
      "description": "Execute my_snippet when IP address is 1.1.1.1.",
      "enabled": true
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": [
    {
      "id": "3a03d665bac047339bb530ecb439a90d",
      "expression": "ip.src eq 1.1.1.1",
      "last_updated": "2000-01-01T00:00:00Z",
      "snippet_name": "my_snippet",
      "description": "Execute my_snippet when IP address is 1.1.1.1.",
      "enabled": true
    }
  ],
  "success": true
}